Skip to main content
GET
/
integrations
/
{slug}
/
workspaces
List integration workspace access
curl --request GET \
  --url https://api.portkey.ai/v1/integrations/{slug}/workspaces \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/integrations/{slug}/workspaces"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/integrations/{slug}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 123,
  "workspaces": [
    {
      "id": "ws-my-team-1234",
      "enabled": true,
      "usage_limits": [
        {
          "credit_limit": 10,
          "periodic_reset": "monthly",
          "alert_threshold": 8
        }
      ],
      "rate_limits": [
        {
          "value": 123
        }
      ]
    }
  ]
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

slug
string
required

Response

200 - application/json

List of workspace access configurations

total
integer

Total number of workspaces

workspaces
object[]
Last modified on August 26, 2025